/* global offcanvas */

(function (overlay) {
  var position
  var html = document.getElementsByTagName('html')[0]
  var overlayEl = document.querySelector('.overlay')

  overlay.show = function () {
    position = window.pageYOffset
    document.body.style.overflow = 'hidden'
    document.body.style.height = '100%'
    overlayEl.classList.add('is-visible')
    html.style.overflow = 'hidden'
    html.style.height = '100%'
    document.body.scrollTop = position
  }

  overlay.hide = function () {
    html.style.overflow = ''
    html.style.height = ''
    document.body.scrollTop = position
    document.body.style.overflow = ''
    document.body.style.height = ''
    overlayEl.classList.remove('is-visible')
  }

  overlayEl.addEventListener('click', offcanvas.toggle)
})(window.overlay = window.overlay || {});
